# Ansible Role: VLC

[![CI](https://travis-ci.org/glenux/ansible-role-vlc.svg?branch=master)](https://travis-ci.org/glenux/ansible-role-vlc)

This role installs VLC and configures it to work with Freebox TV.

## Requirements

This role requires Ansible 2.9 or higher.

## Role Variables

Available variables are listed below, along with default values (see `defaults/main.yml`):

```yaml
glenux_vlc_users: []
```

A list of users for whom to configure VLC.

```yaml
glenux_vlc_live555_rtp_client_port: "-666"
glenux_vlc_rtp_rtcp_port: "-666"
```

Network ports configuration for Freebox TV. Usually, you don't need to modify these values.

## Dependencies

None.

## Example Playbook

```yaml
- hosts: all
  become: true
  roles:
    - glenux.vlc
```

## License

GPL-2.0-or-later

## Author Information

This role was created by glenux.

